require "import"
import "android.graphics.Bitmap"
import "android.graphics.Rect"
import "android.net.Uri"
import "android.content.Intent"
import "java.io.File"
import "java.io.FileOutputStream"
import "android.graphics.Rect"
    local p=Rect()
    node.getBoundsInScreen(p)


-- 截图保存路径
local savePath = "/storage/emulated/0/DCIM/Screenshots/"
local fileName = os.date("%Y%m%d_%H%M%S")..".jpg"

-- 创建目录
os.execute("mkdir -p "..savePath)

-- 截图参数（可以修改这些值来调整截图范围）
if qyjt==nil
left = p.left
top =p.top
right =p.right
bottom =p.bottom
qyjt=true
service.asyncSpeak("选择开始点")
else
left2=p.left
right2 =p.right
top2 =p.top
bottom2 =p.bottom
service.setTouchMode(false)
if left>=left2
left=left2
end
if right>=right2
right2=right
end
if top>bottom2
bottom2,top=bottom,top2
end
this.getScreenShot({
onScreenCaptureDone = function(fullScreenBitmap)
-- 创建指定范围的矩形
local cropRect = Rect(left, top, right2, bottom2)

-- 从全屏截图中裁剪指定区域
local croppedBitmap = Bitmap.createBitmap(
fullScreenBitmap, 
cropRect.left, 
cropRect.top, 
cropRect.width(), 
cropRect.height()
)

-- 保存图片
local outStream = FileOutputStream(File(savePath, fileName))
croppedBitmap.compress(Bitmap.CompressFormat.JPEG, 100, outStream)
outStream.close()

-- 通知媒体库更新
local intent = Intent(Intent.ACTION_MEDIA_SCANNER_SCAN_FILE)
intent.setData(Uri.fromFile(File(savePath..fileName)))
this.sendBroadcast(intent)

-- 释放资源
croppedBitmap.recycle()
fullScreenBitmap.recycle()
end
})
qyjt=nil
service.asyncSpeak("截图完成")
service.setTouchMode(true)
end

return true